Bug 1268641 - Slow (10 min) delay logging in
Slow (10 min) delay logging in
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-04 02:07 EDT by cube00
Modified: 2016-12-20 09:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:51:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl log (268.01 KB, text/x-vhdl)
2015-10-04 02:07 EDT, cube00
no flags Details
5min version (314.84 KB, text/x-vhdl)
2015-10-04 02:21 EDT, cube00
no flags Details
journalctl gdm debug (701.45 KB, text/plain)
2015-10-06 13:31 EDT, cube00
no flags Details

  None (edit)
Description cube00 2015-10-04 02:07:18 EDT
Created attachment 1079700 [details]
journalctl log

Description of problem:
When logging on to the Gnome using the Virtual Display Manager (libvert) in Fedora 21 I have to wait 10 mins to get to the desktop. I can speed this process up by using Ctrl+Alt+F2 which causes the gnome desktop to appear instantly on tty2. Gnome on Wayland logs in correctly.

Version-Release number of selected component (if applicable):
Fedora 23 Beta with all latest updates applied.

How reproducible:
Each time.

Steps to Reproduce:
1. Create new Fedora virtual machine
2. Install
3. Log on
4. Wait (or ctrl+alt+f2 to speed up)

Actual results:
Long delay (10 mins) when logging on.

Expected results:
Standard delay when logging on (few seconds)

Additional info:
Comment 1 cube00 2015-10-04 02:08:40 EDT
Snippet from log:

Oct 04 16:27:35 localhost.localdomain audit[1662]: USER_LOGIN pid=1662 uid=0 auid=1000 ses=1 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='uid=1000 exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=? res=success'
[...snip...]
Oct 04 16:36:59 localhost.localdomain /usr/libexec/gdm-x-session[1768]: This is a pre-release version of the X server from Fedora Project.
Comment 2 cube00 2015-10-04 02:20:46 EDT
Looked back in previous logs, the delay seems to differ but can't see why. Here is a 5 min example in attachment journalctl-slow-5min

Oct 04 15:49:17 localhost.localdomain audit[1673]: USER_START pid=1673 uid=0 auid=1000 ses=1 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:session_open
[...snip...]
Oct 04 15:54:30 localhost.localdomain /usr/libexec/gdm-x-session[1776]: This is a pre-release version of the X server from Fedora Project.
Comment 3 cube00 2015-10-04 02:21 EDT
Created attachment 1079701 [details]
5min version
Comment 4 Ray Strode [halfline] 2015-10-05 11:26:24 EDT
can you add Enable=true in the [debug] section of /etc/gdm/custom.conf reboot, reproduce and reattach the updated journal?
Comment 5 cube00 2015-10-06 13:31 EDT
Created attachment 1080323 [details]
journalctl gdm debug

Thanks for the reply Ray, log is attached.
Comment 6 Oleg Samarin 2015-12-03 00:13:34 EST
See also https://bugzilla.redhat.com/show_bug.cgi?id=1280491
Comment 7 Fedora End Of Life 2016-11-24 07:41:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 09:51:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.